import https from 'node:https'

const HttpsGetRes = (value, optionsOrUndefined) => {
	return new Promise((resolve, reject) => {
		const req = https.get(value, optionsOrUndefined)
		req.on('response', resolve)
		req.on('error', reject)
	})
}

export default HttpsGetRes
