const QcBumpNumber = (position, bumpGroups) => {
	const groupIndexOrNegativeOne = bumpGroups.findLastIndex((group) => {
		return group.positions.some((groupPosition) => {
			return position > groupPosition
		})
	})
	for (let i = groupIndexOrNegativeOne === -1 ? 0 : groupIndexOrNegativeOne; i < bumpGroups.length; i++) {
		if (bumpGroups[i].number !== undefined) {
			return bumpGroups[i].number + (i - groupIndexOrNegativeOne)
		}
	}
	return bumpGroups.length - groupIndexOrNegativeOne
}

export default QcBumpNumber
