const Queue = class {
	constructor () {
		this.firstNodeOrNull = null
		this.lastNodeOrNull = null
	}
	append (value) {
		const node = {nextNodeOrNull: null, value: value}
		if (this.lastNodeOrNull === null) {
			this.firstNodeOrNull = node
		}
		else {
			this.lastNodeOrNull.nextNodeOrNull = node
		}
		this.lastNodeOrNull = node
	}
	deleteFirstValue () {
		this.firstNodeOrNull = this.firstNodeOrNull.nextNodeOrNull
		if (this.firstNodeOrNull === null) {
			this.lastNodeOrNull = null
		}
	}
	firstValue () {
		return this.firstNodeOrNull.value
	}
	isEmpty () {
		return this.firstNodeOrNull === null
	}
}

export default Queue
