const ThroweeAsJsonValue = (throwee) => {
	try {
		return JSON.parse(JSON.stringify({
			code: throwee.code,
			message: throwee.message,
			name: throwee.name,
			signal: throwee.signal,
			stack: throwee.stack,
		}))
	}
	catch (anotherThrowee) {
		return null
	}
}

export default ThroweeAsJsonValue
