import animate from './animate.js'

const AnimatedRefFn = (initialValue) => {
	let value = initialValue
	const fn = () => {
		return value
	}
	fn.set = (newValue) => {
		value = newValue
		animate()
	}
	return fn
}

export default AnimatedRefFn
