import animate from './animate.js'

const AnimatedSet = class {
	constructor () {
		this.set = new Set()
	}
	delete (value) {
		this.set.delete(value)
		animate()
	}
	has (value) {
		return this.set.has(value)
	}
	add (value) {
		this.set.add(value)
		animate()
	}
}

export default AnimatedSet
