import zlib from 'node:zlib'

const Gzipped = (data) => {
	return new Promise((resolve, reject) => {
		zlib.gzip(data, (errorOrFalsyValue, gzippedDataIfNotErrorOrFalsyValue) => {
			if (errorOrFalsyValue) {
				reject(errorOrFalsyValue)
			}
			else {
				resolve(gzippedDataIfNotErrorOrFalsyValue)
			}
		})
	})
}

export default Gzipped
