import qcQueueMap from './qcQueueMap.js'
import assert from './assert.js'
import QcQueuePositions from './QcQueuePositions.js'

const QcExistingBumpNumber = (newPosition, currentBumpNumber) => {
	const positions = QcQueuePositions()
	assert(positions.length !== 0)
	const newIndex = positions.findLastIndex((position) => {
		return newPosition > position
	}) + 1
	if (newIndex === 0) {
		return qcQueueMap.get(positions[0]).bumpNumber
	}
	if (newIndex === positions.length) {
		return qcQueueMap.get(positions[positions.length - 1]).bumpNumber
	}
	if (currentBumpNumber === qcQueueMap.get(positions[newIndex - 1]).bumpNumber || currentBumpNumber === qcQueueMap.get(positions[newIndex]).bumpNumber) {
		return currentBumpNumber
	}
	return qcQueueMap.get(positions[newIndex - 1]).bumpNumber
}

export default QcExistingBumpNumber
