import qcsCollabMap from './qcsCollabMap.js'

const QcsMediaExists = (media) => {
	return qcsCollabMap.has('media-' + media + '-info2')
}
QcsMediaExists.onChange = (fn) => {
	qcsCollabMap.changeHandlers.push((change) => {
		if (/^media-[^-]*-info2$/.test(change.key)) {
			fn()
		}
	})
}

export default QcsMediaExists
